#! ruby -Ku
  # 単一回答の集計(補完的関数の利用) (coding: utf-8)
require "rrx"
    ##
rpro = <<EOS
source("tjsf.r")
dtf <- read.csv("data02.csv", header=T, na.strings="")
dtf <- remake.factor(dtf, "data02.mem")
xx <- sa2(dtf, 2, 3)
xx <- rename.dnn(xx, "性別", "意見")
xx <- lround(xx, 1)
xx
xx$dnn <- get.dnn(xx)
robj(xx)
EOS
    ##
hs = Rrx.rexec(rpro)
puts "** Rプログラムの出力"
print hs[:sink]
printf("\n")
xx = hs["robj1"]
dnn = xx.delete("dnn")  # 項目タイトル
dnnstr = (dnn.class == Array) ? dnn.join("/")   : dnn
keys = %w(tbl1 tbl2 pct1 pct2)
titles = %w(基本表 「計」付きの表 横軸パーセント 縦軸パーセント)
str = ""
while key = keys.shift
  title = titles.shift
  val = xx[key]
  next  unless val
  if dnn.class == Array  # クロス集計表の場合
    val[0][0] = dnnstr
  else
    val.delete_at(0)
    val = Rrx.table_turn(val)
    val.delete_at(0)
  end
  str = str + "** #{title}\n"
  str = str + Rrx.ary2str(val, ",") + "\n"
end
File.open("result.csv", "w") {|ff|  ff.write str}
puts "'result.csv' を書き出しました."
