#! ruby -Ku
  # 複数回答と単一回答の組合せ集計 (coding: utf-8)
require "rrx"
    ##
rpro = <<EOS
source("tjsf.r")
dtf <- read.csv("data03.csv", header=T, na.strings="")
dtf <- ma.refactor(dtf, 3:6, c(1,NA))
xx <- ma1(dtf, 2, 3:6)
xx <- lround(xx, 1)
xx
robj(xx)
EOS
    ##
hs = Rrx.rexec(rpro)
puts "** Rプログラムの出力"
print hs[:sink]
printf("\n")
xx = hs["robj1"]
keys = %w(tbl pct)
titles = %w(回答の度数分布 回答比率)
str = ""
while key = keys.shift
  title = titles.shift
  val = xx[key]
  next  unless val
  str = str + "** #{title}\n"
  str = str + Rrx.ary2str(val, ",") + "\n"
end
File.open("result.csv", "w") {|ff|  ff.write str}
puts "'result.csv' を書き出しました."
