#! ruby -Ku
  # 複数回答の相互関係をみる (coding: utf-8)
require "rrx"
    ##
rpro = <<EOS
source("tjsf.r")
dtf <- read.csv("data03.csv", header=T, na.strings="")
dtf <- ma.refactor(dtf, 3:6, c(1,NA))
xx <- ma2(dtf, 3:6)
xx <- lround(xx, 1)
xx
robj(xx)
EOS
    ##
hs = Rrx.rexec(rpro)
puts "** Rプログラムの出力"
print hs[:sink]
printf("\n")
xx = hs["robj1"]
keys = %w(tbl1 tbl2 pct1 pct2)
titles = %w(基本表 「該当数」付きの表 横軸パーセント 対総数のパーセント)
str = ""
while key = keys.shift
  title = titles.shift
  val = xx[key]
  next  unless val
  str = str + "** #{title}\n"
  str = str + Rrx.ary2str(val, ",") + "\n"
end
File.open("result.csv", "w") {|ff|  ff.write str}
puts "'result.csv' を書き出しました."
