#! ruby -Ku
  # １つの値を返す関数による集計 (coding: utf-8)
require "rrx"
    ##
rpro = <<EOS
source("tjsf.r")
dtf <- read.csv("data04.csv", header=T, na.strings="")
dtf$性別 <- factor(dtf$性別, levels=c("m","f"), labels=c("男","女"))
xx1 <- va1(dtf, 2, 3:4, mean)
cat("平均値\n")
xx1
cat("\n")
xx2 <- va1(dtf, "性別", c("年齢","支出"), median)
cat("中央値\n")
xx2
robj(list(平均値=xx1, 中央値=xx2))
EOS
    ##
hs = Rrx.rexec(rpro)
puts "** Rプログラムの出力"
print hs[:sink]
printf("\n")
str = ""
Rrx.robj_each(3) do |name, key, val|
  str = str + "** #{key}\n"
  str = str + Rrx.ary2str(val, ",") + "\n\n"
end
File.open("result.csv", "w") {|ff|  ff.write str}
puts "'result.csv' を書き出しました."
