#! ruby -Ku
  # 複数の値を返す関数を用いた集計 (coding: utf-8)
require "rrx"
    ##
rpro = <<EOS
source("tjsf.r")
dtf <- read.csv("data04.csv", header=T, na.strings="")
dtf$性別 <- factor(dtf$性別, levels=c("m","f"), labels=c("男","女"))
xx <- va2(dtf, 2, 3:4, summary)
xx
robj(xx)
EOS
    ##
hs = Rrx.rexec(rpro)
puts "** Rプログラムの出力"
print hs[:sink]
printf("\n")
str = ""
Rrx.robj_each(3) do |name, key, val|
  str = str + "** #{key}\n"
  str = str + Rrx.ary2str(val, ",") + "\n\n"
end
File.open("result.csv", "w") {|ff|  ff.write str}
puts "'result.csv' を書き出しました."
