# ̾ޤֹ椬¸ߤ뤫ǧֹޤ֤̾
  # cname:̾xx:λꡢxtype:ͤʸ(n,c)
get.col <- function(cname, xx, xtype="n") {
  wxx <- if (is.character(xx)) seq_along(cname)[cname %in% xx]
      else if (is.numeric(xx) && xx <= length(cname)) cname[xx]
      else integer(0)
  if (length(wxx) == 0 || length(xx) != length(wxx))
    return(integer(0))
  if (xtype == "n")  # ͤȤ֤
    res <- if (is.character(xx)) wxx else xx
  else if (xtype == "c")  # ʸȤ֤
    res <- if (is.character(xx)) xx else wxx
  else
    res <- integer(0)
  return(res)
}

# ǡι̾(̾̾)̾ѹ
  # xx:table|matrixʤꥹȡelm1:̾elm2:̾
  # dw:ġξλ(r,c,NULL)
rename.item <- function(xx, elm1, elm2, dw=NULL) {
  if (is.null(xx)) return(xx)
  tbl_flag <- FALSE
  if (!is.list(xx)) {
    xx <- list(xx)
    tbl_flag <- TRUE
  }
  for (k in 1:length(xx)) {
    tt <- xx[[k]]
    if (!is.table(tt) && !is.matrix(tt))  next
    dd <- dimnames(tt)
    ldd <- length(dd)
    if (!is.list(dd) || (ldd != 1 && ldd != 2))  next
    if (ldd == 2) {
      if (is.null(dw) || length(which(dw == "c")) > 0) {
        ww <- colnames(tt)
        if (!is.null(ww)) {
          for (i in 1:length(elm1))
            if (is.na(elm1[i])) ww[is.na(ww)] <- elm2[i]
            else ww[!is.na(ww) & ww==elm1[i]] <- elm2[i]
          colnames(tt) <- ww
        }
      }
      if (is.null(dw) || length(which(dw == "r")) > 0) {
        ww <- rownames(tt)
        if (!is.null(ww)) {
          for (i in 1:length(elm1))
            if (is.na(elm1[i])) ww[is.na(ww)] <- elm2[i]
            else ww[!is.na(ww) & ww==elm1[i]] <- elm2[i]
          rownames(tt) <- ww
        }
      }
    }
    else {
      ww <- names(tt)
      if (!is.null(ww)) {
        for (i in 1:length(elm1))
          if (is.na(elm1[i])) ww[is.na(ww)] <- elm2[i]
          else ww[!is.na(ww) & ww==elm1[i]] <- elm2[i]
        names(tt) <- ww
      }
    }
    xx[[k]] <- tt
  }
  if (tbl_flag)  xx <- xx[[1]]
  return(xx)
}

# tableʤɤμ̾ѹ
  # xx:tableʤɤʤꥹȡdname1:Ĥμ̾dname2:μ̾
rename.dnn <- function(xx, dname1, dname2=NULL) {
  if (is.null(xx)) return(xx)
  tbl_flag <- FALSE
  if (!is.list(xx)) {
    xx <- list(xx)
    tbl_flag <- TRUE
  }
  dname <- if (is.null(dname2)) dname1 else c(dname1, dname2)
  if (length(dimnames(xx[[1]])) != length(dname))
    warning("̾θĿפޤ")
  else
    for (i in 1:length(xx)) {
      if (!is.table(xx[[i]]) && !is.matrix(xx[[i]]))  next
      names(dimnames(xx[[i]])) <- dname
    }
  if (tbl_flag)  xx <- xx[[1]]
  return(xx)
}

# tableʤɤμ̾
  # xx:tableʤɤʤꥹȡޤtableʤ
get.dnn <- function(xx) {
  if (is.list(xx)) {
    for (tt in xx)
      if (is.table(tt) || is.matrix(tt)) {
        tbl <- tt
        break
      }
  }
  else
    tbl <- xx
  dd <- dimnames(tbl)
  if (is.list(dd)) return(names(dd))
  else return(NULL)
}

# ꥹγƥơ֥ʤɤΤޤ
  # xx:table|matrix|vectorʤꥹȡdigits:ͭʾʲη
lround <- function(xx, digits=0) {
  if (is.null(xx)) return(xx)
  tbl_flag <- FALSE
  if (!is.list(xx)) {
    xx <- list(xx)
    tbl_flag <- TRUE
  }
  for (i in 1:length(xx)) {
    w <- typeof(xx[[i]])
    if (w == "double" || w == "complex")
        xx[[i]] <- round(xx[[i]], digits)
  }
  if (tbl_flag)  xx <- xx[[1]]
  return(xx)
}

# ļγơܤΥѡȤλ
  # tbl:table|matrix
get.pct <- function(tbl) {
  dd <- dimnames(tbl)
  if (is.list(dd) && length(dd) == 2) {
    xx <- prop.table(addmargins(tbl,1), 1)*100
    pct1 <- addmargins(xx, 2)
    xx <- prop.table(addmargins(tbl,2), 2)*100
    pct2 <- addmargins(xx, 1)
  }
  else if (is.list(dd) && length(dd) == 1) {
    xx <- prop.table(tbl)*100
    pct1 <- addmargins(xx, 1)
    pct2 <- NULL
  }
  else {
    pct1 <- NULL
    pct2 <- NULL
  }
  return(list(pct1=pct1, pct2=pct2))
}

# ĤΥơ֥ޤϥޥȥꥯη
  # tbl1,tbl2:table|matrixfmt:Υν(sprintf)
join.tbl <- function(tbl1, tbl2, fmt="%s(%s)") {
  if (!((is.table(tbl1) || is.matrix(tbl1)) &&
      (is.table(tbl2) || is.matrix(tbl2)))) {
    warning("ˤϥơ֥뤫ޥȥꥯꤷƲ")
    return(NULL)
  }
  nr <- nrow(tbl1)
  nc <- ncol(tbl1)
  nr2 <- if (!is.na(nrow(tbl2))) nrow(tbl2) else 0
  nc2 <- if (!is.na(ncol(tbl2))) ncol(tbl2) else 0
  if (!is.na(nc)) {  # table|matrix
    res <- sapply(1:nr, function(i) 
      sapply(1:nc, function(j)
        if (i>nr2 || j>nc2) tbl1[i,j]
        else sprintf(fmt, tbl1[i,j], tbl2[i,j])))
    res <- t(res)
    rownames(res) <- rownames(tbl1)
    colnames(res) <- colnames(tbl1)
    if (is.table(tbl1)) res <- as.table(res)
  }
  else {  # table
    res <- NULL
    for (i in 1:nr)
      res <- if (i>nr2) c(res, tbl1[i])
          else c(res, sprintf(fmt, tbl1[i], tbl2[i]))
    res <- as.table(as.array(res))
    rownames(res) <- rownames(tbl1)
  }
  dnn <- get.dnn(tbl1)
  if (!is.null(dnn)) names(dimnames(res)) <- dnn
  return(res)
}

# ᡼뷸򥫥踡η(xx)ղä֤
  # xx:chisq.test()η
append.cramer <- function(xx) {
  mt <- xx$observed
  xx$cramer <- sqrt(xx$statistic / (min(nrow(mt), ncol(mt)) - 1) / sum(mt))
  return(xx)
}

# ǡե졼ե˴ŤfactorȤƺ
  # dtf:ǡե졼ࡢfname:ե̾enc:եʸ
remake.factor <- function(dtf, fname, enc=getOption("encoding")) {
  cn <- colnames(dtf)
  if (file.access(fname) != 0) {
    warning(sprintf("ե '%s' ˥Ǥޤ",fname))
    return(dtf)
  }
  infile <- file(fname, open="r", encoding=enc)
  lines <- readLines(infile)
  close(infile)
  for (line in lines) {
    xx <- unlist(strsplit(line, " *[|\t] *"))
    if (length(seq_along(cn)[cn %in% xx[1]]) == 0) {
      warning(sprintf("ǡե졼 '%s' ȤϤޤ",xx[1]))
      next
    }
    if (length(xx) != 3) {
      warning("factorlevels, labelsǤޤ")
      next
    }
    zz <- list(cname=xx[1], lvl=NULL, lbl=NULL)
    for (i in 2:3)
      zz[[i]] <- unlist(strsplit(xx[i], ","))
    if (is.null(zz$lvl) || is.null(zz$lbl) ||
        length(zz$lvl) != length(zz$lbl)) {
      warning("factorlevelslabelsȹǤޤ")
      next
    }
    if (length(zz$lvl[zz$lvl == "NA"]) == 0)
      dtf[,zz$cname] <- factor(dtf[,zz$cname], levels=zz$lvl, labels=zz$lbl)
    else {
      zz$lvl[zz$lvl == "NA"] <- NA
      dtf[,zz$cname] <- factor(dtf[,zz$cname], levels=zz$lvl,
          labels=zz$lbl, exclude=NULL)
    }
  }
  return(dtf)
}

# ñν
  # dtf:ǡե졼ࡢcol1:1col2:2opt:NAʤɤΰ
sa1 <- function(dtf, col1, col2=NULL, opt=c(NA,NaN)) {
  cn <- colnames(dtf)
  col1 <- get.col(cn, col1)
  if (!is.null(col2))
    col2 <- get.col(cn, col2)
  if (length(col1) != 1 ||
      (!is.null(col2) && length(col2) != 1)) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(NULL)
  }
  if (!is.null(col2)) { # Ĥ󤬻ꤵƤΤǥɽ
    tbl1 <- table(dtf[,col1], dtf[,col2], exclude=opt,
        dnn=c(cn[col1], cn[col2]))
    tbl2 <- addmargins(tbl1)
    xx <- get.pct(tbl1)
    pct1 <- xx$pct1
    pct2 <- xx$pct2
  }
  else { # 󤬣ĤꤵƤʤ
    tbl1 <- table(dtf[,col1], exclude=opt, dnn=cn[col1])
    tbl2 <- addmargins(tbl1, 1)
    pct1 <- get.pct(tbl1)$pct1
    pct2 <- NULL
  }
  res <- list(tbl1=tbl1, tbl2=tbl2, pct1=pct1, pct2=pct2)
  for (i in 1:length(res))
      res[[i]] <- rename.item(res[[i]], c(NA,"Sum"), c("̵",""))
  return(res)
}

# ̵ޤ᤿
  # dtf:ǡե졼ࡢcol1:1col2:2
sa2 <- function(dtf, col1, col2=NULL) {
  return(sa1(dtf, col1, col2, NULL))
}

# ͭ()ޤ᤿
  # dtf:ǡե졼ࡢcol1:1col2:2
sa3 <- function(dtf, col1, col2=NULL) {
  ww <- sa2(dtf, col1, col2)
  if (is.null(ww))  return(NULL)
  if (!is.null(col2)) {
    xx <- ww$tbl2
    n <- ncol(xx)  # θĿ
    yy <- xx[,n] - xx[,n-1]  # ͭ򻻽
    zz <- cbind(xx[,1:(n-2)], ͭ=yy, xx[,(n-1):n])
    xx <- zz
    n <- nrow(xx)  # ԤθĿ
    yy <- xx[n,] - xx[n-1,]  # ͭ򻻽
    tbl <- as.table(rbind(xx[1:(n-2),], ͭ=yy, xx[(n-1):n,]))
    nc <- ncol(tbl)
    nr <- nrow(tbl)
    pct1 <- tbl
    for (i in 1:nr) {
      if (pct1[i,nc] == 0) next
      pct1[i,] <- pct1[i,] / pct1[i,nc] * 100
    }
    pct2 <- tbl
    for (i in 1:nc) {
      if (pct2[nr,i] == 0)  next
      pct2[,i] <- pct2[,i] / pct2[nr,i] * 100
    }
  }
  else {  # Τߤλ
    dnn <- names(ww$tbl2)
    xx <- as.vector(ww$tbl2)
    n <- length(xx)  # θĿ
    yy <- xx[n] - xx[n-1]  # ͭ򻻽
    tbl <- c(xx[1:(n-2)], yy, xx[(n-1):n])
    names(tbl) <- c(dnn[1:(n-2)], "ͭ", dnn[(n-1):n])
    nc <- length(tbl)
    pct1 <- tbl
    for (i in 1:nc) {
      if (pct1[nc] == 0)  next
      pct1[i] <- pct1[i] / pct1[nc] * 100
    }
    tbl <- as.table(tbl)
    pct1 <- as.table(pct1)
    pct2 <- NULL
  }
  res <- list(tbl1=tbl, tbl2=NULL, pct1=pct1, pct2=pct2)
  res <- rename.dnn(res, names(dimnames(ww[[1]])))
  return(res)
}

# ʣfactorȤƺ
  # dtf:ǡե졼ࡢmm:lvl:levelslbl:labels
ma.refactor <- function(dtf, mm, lvl, lbl=NULL) {
  cn <- colnames(dtf)
  mm <- get.col(cn, mm)
  if (length(mm) == 0) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(NULL)
  }
  if (!(is.vector(lvl) && length(lvl) == 2)) {
    warning("裳(levels)λ꤬ŬǤ")
    return(NULL)
  }
  excl <- if (length(lvl[is.na(lvl)])>0) NULL else c(NA)
  for (i in mm) {
    if (is.null(lbl))
      w <- c(sprintf("%s",cn[i]), sprintf("%s",cn[i]))
    else
      w <- lbl
    dtf[,i] <- factor(dtf[,i], levels=lvl, labels=w, exclude=excl)
  }
  return(dtf)
}

# ʣĿ򻻽
  # dtf:ǡե졼ࡢmm:ptn:򤢤פ򼨤ѥ
  # add.flag:ĿnnnȤdtfɲä뤫ݤΥե饰(FALSE|TRUE)
ma.count <- function(dtf, mm, ptn=1, add.flag=FALSE) {
  cn <- colnames(dtf)
  mm <- get.col(cn, mm)
  if (length(mm) == 0) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(NULL)
  }
  w <- as.character(ptn)
  if (!is.character(w)) {
    warning("裳(򤢤򼨤ѥ)λ꤬ŬǤ")
    return(NULL)
  }
  nr <- nrow(dtf)
  count <- rep(0, nr)
  for (i in 1:nr) {
    w <- dtf[i,mm]
    w <- w[!is.na(w)]
    if (length(w) == 0) {
      count[i] <- 0
      next
    }
    if (is.character(ptn)) {
      w <- as.character(w)
      count[i] <- length(grep(ptn,w))
    }
    else
      count[i] <- length(w[w==ptn])
  }
  if (!add.flag)
    return(count)
  count.name <- "nnn"  # Ŀ̾
  if (length(which(cn == count.name)) > 0)
    dtf[,count.name] <- count
  else {
    dtf <- cbind(dtf, count)
    colnames(dtf) <- c(cn, count.name)
  }
  return(dtf)
}

# ʣñȹ礻
  # dtf:ǡե졼ࡢi:1j:2
  # i|jΤɤ餫ñ¾ʣ
ma1 <- function(dtf, i, j) {
  check_column <- function(cn, j) {
    flag <- TRUE
    for (k in j) {
      if (!is.factor(dtf[,k])) {
        warning(sprintf(" '%s'  factor ǤʤФʤޤ", cn[k]))
        flag <- FALSE
        next
      }
      if (nlevels(dtf[,k]) != 2) {
        warning(sprintf(" '%s' ϣͥǡǤʤФʤޤ", cn[k]))
        flag <- FALSE
      }
    }
    return(flag)
  }
  cn <- colnames(dtf)
  i <- get.col(cn, i)
  j <- get.col(cn, j)
  if (length(i) == 1 && length(j) > 1) row <- TRUE
  else if (length(i) > 1 && length(j) == 1) {
    row <- FALSE
    temp <- i
    i <- j
    j <- temp
  }
  else {
    warning("ʣñȹ礻ˤʤäƤޤ")
    return(NULL)
  }
  if (!check_column(cn,j))  return(NULL)
  dtf.i <- as.factor(dtf[,i])
  ans <- sapply(j, function(k) table(dtf[,i], dtf[,k]))[1:nlevels(dtf.i),]
  ans <- cbind(ans, table(dtf.i))
  ans <- rbind(ans, colSums(ans))
  rownames(ans) <- c(levels(dtf.i), "")
  colnames(ans) <- c(colnames(dtf[,j]), "")
  nc <- ncol(ans)
  pct <- ans/ans[,nc]*100
  if (!row) {
    ans <- t(ans)
    pct <- t(pct)
  }
  res <- list(tbl=ans, pct=pct)
  return(res)
}

# ʣߤδط˴ؤ
  # dtf:ǡե졼ࡢmm:(ʣ˴ؤʣĤ)
ma2 <- function(dtf, mm) {
  cn <- colnames(dtf)
  mm <- get.col(cn, mm)
  if (length(mm) == 0) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(list(NULL, NULL, NULL, NULL))
  }
  l <- length(mm)
  tbl1 <- matrix(FALSE, l, l)  # lԡlιѰ
  colnames(tbl1) <- cn[mm]
  rownames(tbl1) <- cn[mm]
  for (i in 1:l) {
    for (j in i:l) {
      xx <- table(dtf[,mm[i]], dtf[,mm[j]])
      tbl1[i,j] <- xx[1,1]
      if (!tbl1[j,i])  tbl1[j,i] <- xx[1,1]
    }
  }
  ss <- sapply(1:l, function(i) tbl1[i,i])
  tbl2 <- cbind(tbl1, =ss)
  ss <- c(ss, nrow(dtf))
  tbl2 <- rbind(tbl2, =ss)
  l <- l + 1
  pct1 <- tbl2
  for (i in 1:l) {
    ss <- tbl2[i,i]
    if (ss == 0) next
    for (j in 1:l) {
      pct1[i,j] <- tbl2[i,j] / ss * 100.0
    }
  }
  pct2 <- NULL
  ss <- nrow(dtf)
  if (!is.na(ss) && ss > 0) {
    pct2 <- tbl2
    for (i in 1:l) {
      for (j in 1:l) {
        pct2[i,j] <- tbl2[i,j] / ss * 100.0
      }
    }
  }
  res <- list(tbl1=tbl1, tbl2=tbl2, pct1=pct1, pct2=pct2)
  return(res)
}

# ɸʬ
var2 <- function(x) {
  x <- x[!is.na(x)]
  n <- length(x)
  return(var(x)*(n-1)/n)
}

# ɸɸк
sd2 <- function(x) {
  x <- x[!is.na(x)]
  n <- length(x)
  return(sqrt(var(x)*(n-1)/n))
}

# ͥǡˤĤơĤ֤ͤؿν
  # dtf:ǡե졼ࡢctg:ñval:ͥǡfun:ؿ
va1 <- function(dtf, ctg, val, fun=mean) {
  check_column <- function(ctg, val) {
    flag <- TRUE
    if (!is.factor(dtf[,ctg])) {
      warning(sprintf(" '%s'  factor ǤʤФʤޤ", ctg))
      flag <- FALSE
    }
    for (v in val) {
      if (is.factor(dtf[,v]) || is.character(dtf[,v])) {
        warning(sprintf(" '%s'  factor|character ʤΤŬǤ", v))
        flag <- FALSE
      }
    }
    return(flag)
  }
  cn <- colnames(dtf)
  ctg <- get.col(cn, ctg, "c")
  val <- get.col(cn, val, "c")
  if (length(ctg) == 0 || length(val) == 0) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(NULL)
  }
  if (length(ctg) > 1 && length(val) == 1) {
    temp <- ctg
    ctg <- val
    val <- temp
  }
  if (!(length(ctg) == 1 && length(val) >= 1)) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(NULL)
  }
  if (!check_column(ctg, val))
    return(NULL)
  xx <- sapply(val, function(i) tapply(dtf[,i], dtf[,ctg], fun))
  ww <- sapply(val, function(i) fun(dtf[,i]))
  res <- rbind(xx, =ww)
  colnames(res) <- val
  return(res)
}

# ͥǡˤĤơʣ֤ͤؿν
  # dtf:ǡե졼ࡢctg:ñval:ͥǡfun:ؿ
va2 <- function(dtf, ctg, val, fun=summary) {
  check_column <- function(ctg, val) {
    flag <- TRUE
    if (!is.factor(dtf[,ctg])) {
      warning(sprintf(" '%s'  factor ǤʤФʤޤ", ctg))
      flag <- FALSE
    }
    for (v in val) {
      if (is.factor(dtf[,v]) || is.character(dtf[,v])) {
        warning(sprintf(" '%s'  factor|character ʤΤŬǤ", v))
        flag <- FALSE
      }
    }
    return(flag)
  }
  cn <- colnames(dtf)
  ctg <- get.col(cn, ctg, "c")
  val <- get.col(cn, val, "c")
  if (length(ctg) > 1 && length(val) == 1) {
    temp <- ctg
    ctg <- val
    val <- temp
  }
  if (!(length(ctg) == 1 && length(val) >= 1)) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(NULL)
  }
  if (!check_column(ctg, val))
    return(NULL)
  xx <- lapply(val, function(i) tapply(dtf[,i], dtf[,ctg], fun))
  names(xx) <- val
  cc <- levels(dtf[,ctg])
  yy <- lapply(val, function(i) sapply(cc, function(j) xx[[i]][[j]]))
  names(yy) <- val
  ww <- lapply(val, function(i) fun(dtf[,i]))
  names(ww) <- val
  res <- lapply(val, function(i) t(cbind(yy[[i]], =ww[[i]])))
  names(res) <- val
  return(res)
}

# եǡΥƥ꡼(ǯȾΣ)
  # dtf: ǡե졼ࡢcc: Dateǡ
  #     xtype:ߤvector(n) | factor(c)Τɤˤ뤫
date.split <- function(dtf, cc, xtype="c") {
  cn <- colnames(dtf)
  cc <- get.col(cn, cc)
  if (length(cc) == 0) {
    warning("̾ޤֹλ꤬ŬǤ")
    return(NULL)
  }
  date.dat <- dtf[,cc]
  if (class(date.dat) != "Date") {
    warning("DateꤷƲ")
    return(NULL)
  }
  if (xtype == "character") xtype <- "c"
  else if (xtype == "numeric") xtype <- "n"
  if (xtype != "c" && xtype != "n") xtype <- "c"
  cname <- c("year", "month", "mday", "quarter", "wday")
  nn <- seq_along(cn)[cn %in% cname]
  if (length(nn) > 0)  # dtf˴ year, month ʤɤ󤬤
    cname <- sapply(cname, function(i) sprintf("%s%d", i, cc))
  fmt <- c("%sǯ", "%s", "%s", "%sȾ")
  wname <- c("","","","","","","")
  ymd <- t(sapply(format(date.dat, "%Y-%m-%d"), function(ss)
      as.numeric(unlist(strsplit(ss, "-")))))
  qq <- as.numeric(cut(ymd[,2], breaks=c(1,4,7,10,13), labels=1:4, right=F))
  ww <- weekdays(date.dat)
  for (i in 1:length(wname))  ww[ww==wname[i]] <- i
  dd <- data.frame(cbind(ymd, qq, ww))
  colnames(dd) <- cname
  if (xtype == "c") {
    for (i in 1:(ncol(dd)-1)) {  # ǯȾfactor
      dd[,i] <- as.factor(dd[,i])
      lvl <- levels(dd[,i])
      lbl <- sapply(lvl, function(j) sprintf(fmt[i],j))
      dd[,i] <- factor(dd[,i], levels=lvl, labels=lbl)
    }
    dd[,ncol(dd)] <- factor(ww, levels=1:7, labels=wname)  # factor
  }
  for (i in cname)  dtf[,i] <- NULL  # ʣ̾
  return(cbind(dtf, dd))
}
